#
# spec file for package regionServiceClientConfigEC2
# this code base is under development
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           regionServiceClientConfigEC2
Version:        4.1.1
Release:        150000.3.27.1
License:        Apache-2.0
Summary:        Configuration for region service client
URL:            https://gitlab.suse.de/public-cloud-team/region-service-client-config-ec2
Group:          Productivity/Networking/Web/Servers
Source0:        %{name}-%{version}.tar.bz2
Provides:       cloud-regionsrv-client-config
Provides:       regionServiceCertsEC2
Provides:       regionsrv-certs
Requires:       cloud-regionsrv-client >= 9.3.0
Requires:       python3-ec2metadata >= 1.5.0
Recommends:     cloud-regionsrv-client-plugin-ec2
Conflicts:      otherproviders(cloud-regionsrv-client-config)
Conflicts:      otherproviders(regionsrv-certs)
Provides:       regionServiceClientConfigSAPEC2
Obsoletes:      regionServiceClientConfigSAPEC2 < 2.2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

%description
Configuration for the client registration in Amazon EC2 and
region server certificates

%prep
%setup -q

%build

%install
%make_install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%license LICENSE
%config %{_sysconfdir}/regionserverclnt.cfg
%dir /usr/lib/regionService
%dir /usr/lib/regionService/certs
/usr/lib/regionService/certs/34.197.223.242.pem
/usr/lib/regionService/certs/52.79.82.165.pem
/usr/lib/regionService/certs/54.223.148.145.pem
/usr/lib/regionService/certs/54.245.101.47.pem
/usr/lib/regionService/certs/54.247.166.75.pem
/usr/lib/regionService/certs/54.253.118.149.pem
/usr/lib/regionService/certs/2406:da1c:f2a:8400:9982:83c:559d:7f56.pem
/usr/lib/regionService/certs/2a05:d018:71c:e300:5ec0:8a24:7b5d:86ef.pem
/usr/lib/regionService/certs/2600:1f18:4665:e200:3aa2:d7c:2176:70c3.pem
/usr/lib/regionService/certs/2400:7fc0:8ad4:9e00:78bd:8464:c08c:f4f6.pem
/usr/lib/regionService/certs/2600:1f13:355:4700:ee7a:f5f8:6b38:c9c.pem
/usr/lib/regionService/certs/2406:da12:878:8b00:9ea4:1263:39d3:bda1.pem

%changelog
* Tue Nov 28 2023 jesus.bv@suse.com
- Update to version 4.1.1 (bsc#1217536)
  + Replace 54.247.166.75.pem and 54.253.118.149.pem old soon to expired certs
    with new generated ones that expire in 8 years and have longer length (4096)
* Wed Sep  7 2022 rjschwei@suse.com
- Update to version 4.1.0 (bsc#1203215)
  + New certs for 52.79.82.165 and 54.247.166.75
* Wed May 18 2022 rjschwei@suse.com
- Update to version 4.0.0 (bsc#1199668)
  + Move cert location to usr form var to accomodate ro filesystem of
    SLE-Micro
  + Fix source location in spec file
* Fri Nov 12 2021 jmason@suse.com
- Update to version 3.1.0 (bsc#1029162)
  + Add IPv6 addresses to config
  + Include IPv6 certificates
  + Requires cloud-regionsrv-client >= v9.3.0
* Tue Sep  1 2020 rjschwei@suse.com
- Update to version 3.0.0 (bsc#1176005, bsc#1176007)
  + Reduce the number of region servers
  + Require python3-ec2metadata to support IMDSv2 only setups
* Thu Aug  6 2020 rjschwei@suse.com
- Update to version 2.2.1 (bsc#1174791, bsc#1174937)
  + New configuration to switch to https only outgoing traffic
* Wed May  6 2020 rjschwei@suse.com
- Update to version 2.2.0 (bsc#1171232, bsc#1171233)
  + Send a region hint using the plugin
  + Consolidate SLES and SLES For SAP certs
* Mon May 14 2018 jmason@suse.com
- Update to version 2.1.0 (bsc#1093189, bsc#1121114)
  + Drop lost server IP address; realign IPs with certs
  + Add 34.197.223.242 to configuration
* Wed Feb 21 2018 rjschwei@suse.com
- Update to version 2.0.1
  + Use region hint to get SMT data in pre for IPv6 support (bsc#1029162)
* Sat Dec  9 2017 rjschwei@suse.com
- Fix dependency for SLE 15 (bsc#1071292)
* Mon Feb 13 2017 rjschwei@suse.com
- Update to version 2.0.0 (bsc#1025004)
  + Delete old certificate of server we no longer operate
  + Add certificate for new server 34.197.223.242
* Tue Dec  2 2014 aosthof@suse.de
- Removed /etc/regionserverclnt.cfg~ from tarball
* Wed Oct 15 2014 rschweikert@suse.com
- Update to version 1.0.1
  + Add region server for China region
* Mon Jun  2 2014 rschweikert@suse.com
- Update to version 1.0.0
  + use ful path for data collector
  + fix provides
* Sat May 31 2014 rschweikert@suse.com
- Initial build
